// -----------------------------------------------------------------------------
// This file contains all styles related to the text component.
// -----------------------------------------------------------------------------

.text {
   //margin-bottom: 132px;
}

   .text__title {

   }

   .text__excerpt {
      font-family: IBM Plex Sans;
      font-style: normal;
      font-weight: normal;
      font-size: 28px;
      line-height: 40px;

      margin-top: 32px;

      &:last-child {
         margin-bottom: 32px;
      }

      + .text__links {
         margin-top: 72px;
      }
   }

   .text__description {

      > p {
         
      }
   }

   .text__links {
      margin-top: 24px;
   }


.text--overlined {
   border-top: 2px solid rgba($white, 0.4);
}

.text--underlined {
   
   .text__title {
      @include heading-h2();
      margin-bottom: 152px;
      @include underline();

      ~ * {
         padding-right: 110px;
      }
   }
}

.text--background {
   

   .text__title {
      @include heading-h2();
      margin-top: 0;
      margin-bottom: 32px;
      @include underline(126px);

      ~ * {
         padding-right: 110px;
      }
   }
}

.text--big {

   .text__title {
      @include heading-h1();
   }
}



.page--dark {

   .text {
      
   }

      .text__title,
      .text__excerpt,
      .text__description {
         color: $white;
      }


   .text--underlined,
   .text--background {
      
      .text__title {
        
         &:after {
            background-color: $white;
         }
      }
   }
}


/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* SMALLER MOBILE LAYOUT
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {

}



/* SMALL MOBILE LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-down(small) {

}



/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {

}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {

}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {

}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {

}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {

}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {

}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {

}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}